IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
ff01::/20- First address
ff01::- Last address
ff01:fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
ff01:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
0.1.0.f.f.ip6.arpa
Split into smaller subnets
ff01::/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff01::/32 | ff01:0:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff01:1::/32 | ff01:1:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff01:2::/32 | ff01:2:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff01:3::/32 | ff01:3:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff01:4::/32 | ff01:4:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff01:5::/32 | ff01:5:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff01:6::/32 | ff01:6:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff01:7::/32 | ff01:7:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff01:8::/32 | ff01:8:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff01:9::/32 | ff01:9:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff01:a::/32 | ff01:a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff01:b::/32 | ff01:b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff01:c::/32 | ff01:c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff01:d::/32 | ff01:d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff01:e::/32 | ff01:e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff01:f::/32 | ff01:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff01:10::/32 | ff01:10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff01:11::/32 | ff01:11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff01:12::/32 | ff01:12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff01:13::/32 | ff01:13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff01:14::/32 | ff01:14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff01:15::/32 | ff01:15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff01:16::/32 | ff01:16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff01:17::/32 | ff01:17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff01:18::/32 | ff01:18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff01:19::/32 | ff01:19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff01:1a::/32 | ff01:1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff01:1b::/32 | ff01:1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff01:1c::/32 | ff01:1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff01:1d::/32 | ff01:1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff01:1e::/32 | ff01:1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff01:1f::/32 | ff01:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff01:20::/32 | ff01:20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff01:21::/32 | ff01:21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff01:22::/32 | ff01:22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff01:23::/32 | ff01:23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff01:24::/32 | ff01:24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff01:25::/32 | ff01:25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff01:26::/32 | ff01:26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff01:27::/32 | ff01:27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff01:28::/32 | ff01:28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff01:29::/32 | ff01:29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff01:2a::/32 | ff01:2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff01:2b::/32 | ff01:2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff01:2c::/32 | ff01:2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff01:2d::/32 | ff01:2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff01:2e::/32 | ff01:2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff01:2f::/32 | ff01:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff01:30::/32 | ff01:30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff01:31::/32 | ff01:31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff01:32::/32 | ff01:32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff01:33::/32 | ff01:33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff01:34::/32 | ff01:34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff01:35::/32 | ff01:35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff01:36::/32 | ff01:36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff01:37::/32 | ff01:37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff01:38::/32 | ff01:38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff01:39::/32 | ff01:39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff01:3a::/32 | ff01:3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff01:3b::/32 | ff01:3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff01:3c::/32 | ff01:3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff01:3d::/32 | ff01:3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff01:3e::/32 | ff01:3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff01:3f::/32 | ff01:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff01:40::/32 | ff01:40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff01:41::/32 | ff01:41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff01:42::/32 | ff01:42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff01:43::/32 | ff01:43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff01:44::/32 | ff01:44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff01:45::/32 | ff01:45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff01:46::/32 | ff01:46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff01:47::/32 | ff01:47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff01:48::/32 | ff01:48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff01:49::/32 | ff01:49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff01:4a::/32 | ff01:4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff01:4b::/32 | ff01:4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff01:4c::/32 | ff01:4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff01:4d::/32 | ff01:4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff01:4e::/32 | ff01:4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff01:4f::/32 | ff01:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff01:50::/32 | ff01:50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff01:51::/32 | ff01:51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff01:52::/32 | ff01:52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff01:53::/32 | ff01:53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff01:54::/32 | ff01:54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff01:55::/32 | ff01:55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff01:56::/32 | ff01:56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff01:57::/32 | ff01:57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff01:58::/32 | ff01:58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff01:59::/32 | ff01:59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff01:5a::/32 | ff01:5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff01:5b::/32 | ff01:5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff01:5c::/32 | ff01:5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff01:5d::/32 | ff01:5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff01:5e::/32 | ff01:5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff01:5f::/32 | ff01:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff01:60::/32 | ff01:60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff01:61::/32 | ff01:61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff01:62::/32 | ff01:62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff01:63::/32 | ff01:63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff01:64::/32 | ff01:64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff01:65::/32 | ff01:65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff01:66::/32 | ff01:66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff01:67::/32 | ff01:67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff01:68::/32 | ff01:68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff01:69::/32 | ff01:69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff01:6a::/32 | ff01:6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff01:6b::/32 | ff01:6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff01:6c::/32 | ff01:6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff01:6d::/32 | ff01:6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff01:6e::/32 | ff01:6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff01:6f::/32 | ff01:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff01:70::/32 | ff01:70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff01:71::/32 | ff01:71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff01:72::/32 | ff01:72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff01:73::/32 | ff01:73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff01:74::/32 | ff01:74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff01:75::/32 | ff01:75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff01:76::/32 | ff01:76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff01:77::/32 | ff01:77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff01:78::/32 | ff01:78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff01:79::/32 | ff01:79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff01:7a::/32 | ff01:7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff01:7b::/32 | ff01:7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff01:7c::/32 | ff01:7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff01:7d::/32 | ff01:7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff01:7e::/32 | ff01:7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff01:7f::/32 | ff01:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff01:80::/32 | ff01:80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff01:81::/32 | ff01:81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff01:82::/32 | ff01:82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff01:83::/32 | ff01:83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff01:84::/32 | ff01:84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff01:85::/32 | ff01:85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff01:86::/32 | ff01:86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff01:87::/32 | ff01:87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff01:88::/32 | ff01:88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff01:89::/32 | ff01:89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff01:8a::/32 | ff01:8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff01:8b::/32 | ff01:8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff01:8c::/32 | ff01:8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff01:8d::/32 | ff01:8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff01:8e::/32 | ff01:8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff01:8f::/32 | ff01:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff01:90::/32 | ff01:90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff01:91::/32 | ff01:91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff01:92::/32 | ff01:92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff01:93::/32 | ff01:93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff01:94::/32 | ff01:94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff01:95::/32 | ff01:95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff01:96::/32 | ff01:96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff01:97::/32 | ff01:97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff01:98::/32 | ff01:98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff01:99::/32 | ff01:99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff01:9a::/32 | ff01:9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff01:9b::/32 | ff01:9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff01:9c::/32 | ff01:9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff01:9d::/32 | ff01:9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff01:9e::/32 | ff01:9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff01:9f::/32 | ff01:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff01:a0::/32 | ff01:a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff01:a1::/32 | ff01:a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff01:a2::/32 | ff01:a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff01:a3::/32 | ff01:a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff01:a4::/32 | ff01:a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff01:a5::/32 | ff01:a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff01:a6::/32 | ff01:a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff01:a7::/32 | ff01:a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff01:a8::/32 | ff01:a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff01:a9::/32 | ff01:a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff01:aa::/32 | ff01:aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff01:ab::/32 | ff01:ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff01:ac::/32 | ff01:ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff01:ad::/32 | ff01:ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff01:ae::/32 | ff01:ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff01:af::/32 | ff01:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff01:b0::/32 | ff01:b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff01:b1::/32 | ff01:b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff01:b2::/32 | ff01:b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff01:b3::/32 | ff01:b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff01:b4::/32 | ff01:b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff01:b5::/32 | ff01:b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff01:b6::/32 | ff01:b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff01:b7::/32 | ff01:b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff01:b8::/32 | ff01:b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff01:b9::/32 | ff01:b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff01:ba::/32 | ff01:ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff01:bb::/32 | ff01:bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff01:bc::/32 | ff01:bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff01:bd::/32 | ff01:bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff01:be::/32 | ff01:be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff01:bf::/32 | ff01:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff01:c0::/32 | ff01:c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff01:c1::/32 | ff01:c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff01:c2::/32 | ff01:c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff01:c3::/32 | ff01:c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff01:c4::/32 | ff01:c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff01:c5::/32 | ff01:c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff01:c6::/32 | ff01:c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff01:c7::/32 | ff01:c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff01:c8::/32 | ff01:c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff01:c9::/32 | ff01:c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff01:ca::/32 | ff01:ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff01:cb::/32 | ff01:cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff01:cc::/32 | ff01:cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff01:cd::/32 | ff01:cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff01:ce::/32 | ff01:ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff01:cf::/32 | ff01:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff01:d0::/32 | ff01:d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff01:d1::/32 | ff01:d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff01:d2::/32 | ff01:d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff01:d3::/32 | ff01:d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff01:d4::/32 | ff01:d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff01:d5::/32 | ff01:d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff01:d6::/32 | ff01:d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff01:d7::/32 | ff01:d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff01:d8::/32 | ff01:d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff01:d9::/32 | ff01:d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff01:da::/32 | ff01:da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff01:db::/32 | ff01:db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff01:dc::/32 | ff01:dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff01:dd::/32 | ff01:dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff01:de::/32 | ff01:de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff01:df::/32 | ff01:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff01:e0::/32 | ff01:e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff01:e1::/32 | ff01:e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff01:e2::/32 | ff01:e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff01:e3::/32 | ff01:e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff01:e4::/32 | ff01:e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff01:e5::/32 | ff01:e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff01:e6::/32 | ff01:e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff01:e7::/32 | ff01:e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff01:e8::/32 | ff01:e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff01:e9::/32 | ff01:e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff01:ea::/32 | ff01:ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff01:eb::/32 | ff01:eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff01:ec::/32 | ff01:ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff01:ed::/32 | ff01:ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff01:ee::/32 | ff01:ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff01:ef::/32 | ff01:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff01:f0::/32 | ff01:f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff01:f1::/32 | ff01:f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff01:f2::/32 | ff01:f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff01:f3::/32 | ff01:f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff01:f4::/32 | ff01:f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff01:f5::/32 | ff01:f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff01:f6::/32 | ff01:f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff01:f7::/32 | ff01:f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff01:f8::/32 | ff01:f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff01:f9::/32 | ff01:f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff01:fa::/32 | ff01:fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff01:fb::/32 | ff01:fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff01:fc::/32 | ff01:fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff01:fd::/32 | ff01:fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff01:fe::/32 | ff01:fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff01:ff::/32 | ff01:ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |